cmap_notify_value Struct Reference
Cmap_corosync

Structure passed as new_value and old_value in change callback. More...

`#include <cmap.h>`

## Data Fields

cmap_value_types_t | type
size_t | len
const void * | data

## Detailed Description

Structure passed as new_value and old_value in change callback.

It contains type of key, length of key and pointer to value of key

Definition at line 117 of file cmap.h.

## Field Documentation

## data

const void* cmap_notify_value::data

Definition at line 120 of file cmap.h.

Referenced by cmap_dispatch().

## len

size_t cmap_notify_value::len

Definition at line 119 of file cmap.h.

Referenced by cmap_dispatch().

## type

cmap_value_types_t cmap_notify_value::type

Definition at line 118 of file cmap.h.

Referenced by cmap_dispatch().

The documentation for this struct was generated from the following file:

- cmap.h